/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import com.arrebol.apc.model.enums.LoanDetailsType;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_PAYMENT_DETAILS_FROM_USER_BY_CURDATE_VIEW")
public class PaymentDetailFromUserByCurdateView implements Serializable {

    private static final long serialVersionUID = 7069230798097192215L;

    @Id
    @Column(name = "id_loan_detail", length = 36)
    private String id;

    @Column(name = "customer_name", length = 103)
    private String customerName;

    @Column(name = "payment_amount")
    private BigDecimal amount;

    @Enumerated(EnumType.STRING)
    @Column(name = "loan_details_type")
    private LoanDetailsType loanDetailsType;

    @Column(name = "user_id", length = 36)
    private String userId;

    public PaymentDetailFromUserByCurdateView() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public LoanDetailsType getLoanDetailsType() {
        return loanDetailsType;
    }

    public void setLoanDetailsType(LoanDetailsType loanDetailsType) {
        this.loanDetailsType = loanDetailsType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "PaymentDetailFromUserByCurdateView{" + "customerName=" + customerName + '}';
    }

}
